Provider - Get Function App Stacks

Получение доступных платформ приложений-функций и их версий

GET https://management.azure.com/providers/Microsoft.Web/functionAppStacks?api-version=2021-02-01
GET https://management.azure.com/providers/Microsoft.Web/functionAppStacks?stackOsType={stackOsType}&api-version=2021-02-01

Параметры URI

Name In Required Type Description
api-version
query True
  • string

Версия API

stackOsType
query

Тип ОС стека

Ответы

Name Type Description
200 OK

ОК

Other Status Codes

Служба приложений ответ на ошибку.

Безопасность

azure_auth

Flow OAuth2 Azure Active Directory

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation олицетворения учетной записи пользователя

Примеры

Get Function App Stacks

Sample Request

GET https://management.azure.com/providers/Microsoft.Web/functionAppStacks?api-version=2021-02-01

Sample Response

{
  "value": [
    {
      "id": "/providers/Microsoft.Web/functionAppStacks/dotnet",
      "name": "dotnet",
      "type": "Microsoft.Web/functionAppStacks",
      "properties": {
        "displayText": ".NET",
        "value": "dotnet",
        "preferredOs": "Windows",
        "majorVersions": [
          {
            "displayText": ".NET Core 3",
            "value": "3",
            "minorVersions": [
              {
                "displayText": ".NET Core 3.1",
                "value": "3.1",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "3.1",
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "remoteDebuggingSupported": false,
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "3.1.301"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "dotnet"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "dotnet|3.1",
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "remoteDebuggingSupported": false,
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "3.1.301"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "dotnet"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "dotnet|3.1"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": ".NET Core 2",
            "value": "2",
            "minorVersions": [
              {
                "displayText": ".NET Core 2.2",
                "value": "2.2",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "2.2",
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "remoteDebuggingSupported": false,
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "2.2.207"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "dotnet"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "dotnet|2.2",
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "remoteDebuggingSupported": false,
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "2.2.207"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "dotnet"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "dotnet|2.2"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": ".NET Framework 4",
            "value": "2",
            "minorVersions": [
              {
                "displayText": ".NET Framework 4.7",
                "value": "4.7",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "4.7",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": false
                    },
                    "appSettingsDictionary": {},
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~1"
                    ]
                  }
                }
              }
            ]
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Web/functionAppStacks/node",
      "name": "node",
      "type": "Microsoft.Web/functionAppStacks",
      "properties": {
        "displayText": "Node.js",
        "value": "node",
        "preferredOs": "Windows",
        "majorVersions": [
          {
            "displayText": "Node.js 14",
            "value": "14",
            "minorVersions": [
              {
                "displayText": "Node.js 14 LTS",
                "value": "14 LTS",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "~14",
                    "isPreview": true,
                    "isHidden": true,
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "14.x"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "node",
                      "WEBSITE_NODE_DEFAULT_VERSION": "~14"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Node|14",
                    "isPreview": true,
                    "isHidden": true,
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "14.x"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "node"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Node|14"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": "Node.js 12",
            "value": "12",
            "minorVersions": [
              {
                "displayText": "Node.js 12 LTS",
                "value": "12 LTS",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "~12",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "12.x"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "node",
                      "WEBSITE_NODE_DEFAULT_VERSION": "~12"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Node|12",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "12.x"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "node"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Node|12"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": "Node.js 10",
            "value": "10",
            "minorVersions": [
              {
                "displayText": "Node.js 10 LTS",
                "value": "10 LTS",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "~10",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "10.x"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "node",
                      "WEBSITE_NODE_DEFAULT_VERSION": "~10"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2",
                      "~3"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Node|10",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "10.x"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "node"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Node|10"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2",
                      "~3"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": "Node.js 8",
            "value": "8",
            "minorVersions": [
              {
                "displayText": "Node.js 8 LTS",
                "value": "8 LTS",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "~8",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "8.x"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "node",
                      "WEBSITE_NODE_DEFAULT_VERSION": "~8"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": "Node.js 6",
            "value": "6",
            "minorVersions": [
              {
                "displayText": "Node.js 6 LTS",
                "value": "6 LTS",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "~6",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": false
                    },
                    "appSettingsDictionary": {
                      "WEBSITE_NODE_DEFAULT_VERSION": "~6"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~1"
                    ]
                  }
                }
              }
            ]
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Web/functionAppStacks/python",
      "name": "python",
      "type": "Microsoft.Web/functionAppStacks",
      "properties": {
        "displayText": "Python",
        "value": "python",
        "preferredOs": "Linux",
        "majorVersions": [
          {
            "displayText": "Python 3",
            "value": "3",
            "minorVersions": [
              {
                "displayText": "Python 3.8",
                "value": "3.8",
                "stackSettings": {
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Python|3.8",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "3.8"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "python"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Python|3.8"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  }
                }
              },
              {
                "displayText": "Python 3.7",
                "value": "3.7",
                "stackSettings": {
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Python|3.7",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "3.7"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "python"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Python|3.7"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2",
                      "~3"
                    ]
                  }
                }
              },
              {
                "displayText": "Python 3.6",
                "value": "3.6",
                "stackSettings": {
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Python|3.6",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "3.6"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "python"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Python|3.6"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2",
                      "~3"
                    ]
                  }
                }
              }
            ]
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Web/functionAppStacks/java",
      "name": "java",
      "type": "Microsoft.Web/functionAppStacks",
      "properties": {
        "displayText": "Java",
        "value": "java",
        "preferredOs": "Windows",
        "majorVersions": [
          {
            "displayText": "Java 11",
            "value": "11",
            "minorVersions": [
              {
                "displayText": "Java 11",
                "value": "11.0",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "11",
                    "isAutoUpdate": true,
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "11"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "java"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true,
                      "javaVersion": "11"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Java|11",
                    "isAutoUpdate": true,
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "11"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "java"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Java|11"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": "Java 8",
            "value": "8",
            "minorVersions": [
              {
                "displayText": "Java 8",
                "value": "8.0",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "1.8",
                    "isAutoUpdate": true,
                    "isDefault": true,
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "8"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "java"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true,
                      "javaVersion": "1.8"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~2",
                      "~3"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "Java|8",
                    "isAutoUpdate": true,
                    "isDefault": true,
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": true,
                      "supportedVersion": "8"
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "java"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": "Java|8"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  }
                }
              }
            ]
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Web/functionAppStacks/powershell",
      "name": "powershell",
      "type": "Microsoft.Web/functionAppStacks",
      "properties": {
        "displayText": "PowerShell Core",
        "value": "powershell",
        "preferredOs": "Windows",
        "majorVersions": [
          {
            "displayText": "PowerShell 7",
            "value": "7",
            "minorVersions": [
              {
                "displayText": "PowerShell 7.0",
                "value": "7.0",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "~7",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": false
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "powershell"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true,
                      "powerShellVersion": "~7"
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3"
                    ]
                  }
                }
              }
            ]
          },
          {
            "displayText": "PowerShell Core 6",
            "value": "6",
            "minorVersions": [
              {
                "displayText": "PowerShell Core 6.2",
                "value": "6.2",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "~6",
                    "remoteDebuggingSupported": false,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "gitHubActionSettings": {
                      "isSupported": false
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "powershell"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true,
                      "powerShellVersion": "~6"
                    },
                    "isDeprecated": true,
                    "supportedFunctionsExtensionVersions": [
                      "~2",
                      "~3"
                    ],
                    "endOfLifeDate": "2020-10-04T00:00:00+00:00"
                  }
                }
              }
            ]
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Web/functionAppStacks/custom",
      "name": "custom",
      "type": "Microsoft.Web/functionAppStacks",
      "properties": {
        "displayText": "Custom",
        "value": "custom",
        "preferredOs": "Windows",
        "majorVersions": [
          {
            "displayText": "Custom",
            "value": "custom",
            "minorVersions": [
              {
                "displayText": "Custom Handler",
                "value": "custom",
                "stackSettings": {
                  "windowsRuntimeSettings": {
                    "runtimeVersion": "custom",
                    "isPreview": true,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "remoteDebuggingSupported": false,
                    "gitHubActionSettings": {
                      "isSupported": false
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "custom"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": true
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3",
                      "~2"
                    ]
                  },
                  "linuxRuntimeSettings": {
                    "runtimeVersion": "",
                    "isPreview": true,
                    "appInsightsSettings": {
                      "isSupported": true
                    },
                    "remoteDebuggingSupported": false,
                    "gitHubActionSettings": {
                      "isSupported": false
                    },
                    "appSettingsDictionary": {
                      "FUNCTIONS_WORKER_RUNTIME": "custom"
                    },
                    "siteConfigPropertiesDictionary": {
                      "use32BitWorkerProcess": false,
                      "linuxFxVersion": ""
                    },
                    "supportedFunctionsExtensionVersions": [
                      "~3",
                      "~2"
                    ]
                  }
                }
              }
            ]
          }
        ]
      }
    }
  ]
}

Определения

AppInsightsWebAppStackSettings

Параметры стека веб-приложений Аналитика приложения.

DefaultErrorResponse

Служба приложений ответ на ошибку.

Details
Error

Модель ошибки.

FunctionAppMajorVersion

Основная версия стека приложения-функции.

FunctionAppMinorVersion

Дополнительная версия стека приложений-функций.

FunctionAppRuntimes

Среды выполнения стека приложений-функций.

FunctionAppRuntimeSettings

Параметры среды выполнения приложения-функции.

FunctionAppStack

Стек приложений-функций.

FunctionAppStackCollection

Коллекция стеков приложений-функций

GitHubActionWebAppStackSettings

GitHub Actions параметры стека веб-приложения.

ProviderStackOsType

Тип ОС стека

SiteConfigPropertiesDictionary

Словарь свойств конфигурации сайта.

StackPreferredOs

Предпочитаемая ОС стека приложений-функций.

AppInsightsWebAppStackSettings

Параметры стека веб-приложений Аналитика приложения.

Name Type Description
isDefaultOff
  • boolean

trueЗначение , если приложение Аналитика по умолчанию отключено для стека; в противном случае false.

isSupported
  • boolean

trueЗначение , falseесли для стека поддерживается удаленное приложение Аналитика; в противном случае .

DefaultErrorResponse

Служба приложений ответ на ошибку.

Name Type Description
error

Модель ошибки.

Details

Name Type Description
code
  • string

Стандартизованная строка для программной идентификации ошибки.

message
  • string

Подробные сведения об ошибке и сведения об отладке.

target
  • string

Подробные сведения об ошибке и сведения об отладке.

Error

Модель ошибки.

Name Type Description
code
  • string

Стандартизованная строка для программной идентификации ошибки.

details

Подробные ошибки.

innererror
  • string

Дополнительные сведения об ошибке отладки.

message
  • string

Подробные сведения об ошибке и сведения об отладке.

target
  • string

Подробные сведения об ошибке и сведения об отладке.

FunctionAppMajorVersion

Основная версия стека приложения-функции.

Name Type Description
displayText
  • string

Основная версия стека приложений-функций (только для отображения).

minorVersions

Дополнительные версии, связанные с основной версией.

value
  • string

Имя основной версии стека приложения-функции.

FunctionAppMinorVersion

Дополнительная версия стека приложений-функций.

Name Type Description
displayText
  • string

Стек приложений-функций (только для отображения).

stackSettings

Параметры, связанные с дополнительной версией.

value
  • string

Имя стека приложения-функции.

FunctionAppRuntimes

Среды выполнения стека приложений-функций.

Name Type Description
linuxRuntimeSettings

Параметры, относящиеся к Linux, связанные с дополнительной версией.

windowsRuntimeSettings

Windows параметры, связанные с дополнительной версией.

FunctionAppRuntimeSettings

Параметры среды выполнения приложения-функции.

Name Type Description
appInsightsSettings

Параметры приложения Аналитика, связанные с дополнительной версией.

appSettingsDictionary
  • object

Параметры приложения, связанные с дополнительной версией.

endOfLifeDate
  • string

Дата окончания срока действия для дополнительной версии.

gitHubActionSettings

GitHub Actions параметры, связанные с дополнительной версией.

isAutoUpdate
  • boolean

true Значение , если версия стека обновляется автоматически; falseв противном случае .

isDefault
  • boolean

true Значение , если дополнительная версия по умолчанию; falseв противном случае .

isDeprecated
  • boolean

true Значение , если стек не рекомендуется; falseв противном случае .

isEarlyAccess
  • boolean

true if the minor version is early-access; otherwise, false.

isHidden
  • boolean

true значение , если стек должен быть скрыт; falseв противном случае .

isPreview
  • boolean

true Значение , если стек находится в режиме предварительной версии; falseв противном случае .

remoteDebuggingSupported
  • boolean

true Значение , если удаленная отладка поддерживается для стека; falseв противном случае .

runtimeVersion
  • string

Дополнительная версия стека приложений-функций (только во время выполнения).

siteConfigPropertiesDictionary

Параметры конфигурации, связанные с дополнительной версией.

supportedFunctionsExtensionVersions
  • string[]

Список поддерживаемых версий расширений функций.

FunctionAppStack

Стек приложений-функций.

Name Type Description
id
  • string

Идентификатор ресурса.

kind
  • string

Тип ресурса.

location
  • string

Расположение стека приложения-функции.

name
  • string

Имя ресурса.

properties.displayText
  • string

Стек приложений-функций (только для отображения).

properties.majorVersions

Список основных версий.

properties.preferredOs

Предпочитаемая ОС стека приложений-функций.

properties.value
  • string

Имя стека приложения-функции.

type
  • string

Тип ресурса.

FunctionAppStackCollection

Коллекция стеков приложений-функций

Name Type Description
nextLink
  • string

Ссылка на следующую страницу ресурсов.

value

Коллекция ресурсов.

GitHubActionWebAppStackSettings

GitHub Actions параметры стека веб-приложения.

Name Type Description
isSupported
  • boolean

trueЗначение , falseесли GitHub Actions поддерживается для стека; в противном случае .

supportedVersion
  • string

Дополнительная версия, поддерживаемая для GitHub Actions.

ProviderStackOsType

Тип ОС стека

Name Type Description
All
  • string
Linux
  • string
Windows
  • string

SiteConfigPropertiesDictionary

Словарь свойств конфигурации сайта.

Name Type Description
javaVersion
  • string

Параметр конфигурации JavaVersion.

linuxFxVersion
  • string

Параметр конфигурации LinuxFxVersion.

powerShellVersion
  • string

Параметр конфигурации PowerShellVersion.

use32BitWorkerProcess
  • boolean

true Значение , если параметр use32BitWorkerProcess должен иметь значение true для стека; falseв противном случае .

StackPreferredOs

Предпочитаемая ОС стека приложений-функций.

Name Type Description
Linux
  • string
Windows
  • string